package com.imtm1.starwarsgame;


import android.content.Context;
import android.view.Gravity;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.Toast;

class JoyStickView  {

    int xDelta;
    int yDelta;
    ViewGroup mainLayout ;
    Context context;

    JoyStickView (ViewGroup mainLayout, Context context)
    {
        this.mainLayout = mainLayout;
        this.context = context;
    }

    final View.OnTouchListener touchListener = new View.OnTouchListener() {
        @Override
        public boolean onTouch(View v, MotionEvent event) {
            final int x = (int) event.getRawX();
            final int y = (int) event.getRawY();
            FrameLayout framelayout = new FrameLayout(context);
            switch (event.getAction())
            {
                case MotionEvent.ACTION_DOWN:
                    FrameLayout.LayoutParams laParams = (FrameLayout.LayoutParams) v.getLayoutParams();

                    xDelta = x - laParams.leftMargin;
                    yDelta = y - laParams.topMargin;
                    break;
                case MotionEvent.ACTION_MOVE:
                    FrameLayout.LayoutParams lParams = (FrameLayout.LayoutParams) v.getLayoutParams();

                    lParams.leftMargin = x - xDelta;
                    lParams.topMargin = y - yDelta;
                    lParams.rightMargin = 0;
                    lParams.bottomMargin = 0;
                    v.setLayoutParams(lParams);
                    break;
                case MotionEvent.ACTION_UP:
                    FrameLayout.LayoutParams layParams = (FrameLayout.LayoutParams) v.getLayoutParams();
                    Toast.makeText(context, "I'm here!", Toast.LENGTH_SHORT).show();
                    layParams.gravity = Gravity.CENTER;

                    break;
                default:
                    return false;
            }
            mainLayout.invalidate();

            return true;
        }
    };

}



